Bug 64272 - Broken links on the WebSocket How-To page
Summary: Broken links on the WebSocket How-To page
Status: RESOLVED FIXED
Alias: None
Product: Tomcat 9
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 9.0.33
Hardware: PC All
: P2 normal (vote)
Target Milestone: -----
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-26 18:50 UTC by Jerry Lampi
Modified: 2020-03-30 14:04 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jerry Lampi 2020-03-26 18:50:08 UTC
The WebSocket How-To page at https://tomcat.apache.org/tomcat-9.0-doc/web-socket-howto.html has two links under the Application development header within the sentence: "There are several example applications that demonstrate how the WebSocket API can be used. You will need to look at both the client side HTML and the server side code".  The HTML and code links are broken.  When you click either link, you receive this error: 
An Exception Has Occurred

Unknown location: /tomcat/trunk/webapps/examples/WEB-INF/classes/websocket
HTTP Response Status

404 Not Found

The same issue exists on other Tomcat versions' WebSocket How-To pages.
Comment 1 Mark Thomas 2020-03-28 13:20:53 UTC
Fixed in:
- master for 10.0.0-M4 onwards
- 9.0.x for 9.0.34 onwards
- 8.5.x for 8.5.54 onwards
- 7.0.x for 7.0.104 onwards
Comment 2 Jerry Lampi 2020-03-30 13:54:52 UTC
Mark, thank you.  This is still failing for me.  I did hard page reloads, cleared browser cache and so on.  Even tried it from a browser I never use, knowing that caching would not be a factor.  Do you know when the fix will be made public?  
Also, in the mean time, could you post the updated link locations for the two pages?
Comment 3 Mark Thomas 2020-03-30 14:04:38 UTC
The tomcat-X.Y-doc pages always reflect the most recent Tomcat release so those pages will be updated with the next round of releases - typically around the 2nd week of the month.

The latest version is always available from the CI system which, for Tomcat 9, can be found at:
https://ci.apache.org/projects/tomcat/tomcat9/docs/web-socket-howto.html